# $Revision: 1.26 $, $Date: 2009/11/12 09:39:03 $
Summary:	libXcursor - X Window System Cursor management library
Summary(pl.UTF-8):	Biblioteka libXcursor do zarządzania kursorami w systemie X Window
Name:		xorg-lib-libXcursor
Version:	1.1.10
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXcursor-%{version}.tar.bz2
# Source0-md5:	7dcdad1c10daea872cb3355af414b2ca
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXrender-devel >= 0.8.2
BuildRequires:	xorg-util-util-macros >= 1.2
Requires:	xorg-lib-libXrender >= 0.8.2
Obsoletes:	XFree86-xcursor
Obsoletes:	libXcursor
Obsoletes:	xcursor
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libXcursor - X Window System Cursor management library.

%description -l pl.UTF-8
Biblioteka libXcursor do zarządzania kursorami w systemie X Window.

%package devel
Summary:	Header files for libXcursor library
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki libXcursor
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXfixes-devel
Requires:	xorg-lib-libXrender-devel >= 0.8.2
Obsoletes:	XFree86-xcursor-devel
Obsoletes:	libXcursor-devel
Obsoletes:	xcursor-devel

%description devel
libXcursor - X Window System Cursor management library.

This package contains the header files needed to develop programs that
use libXcursor.

%description devel -l pl.UTF-8
Biblioteka libXcursor do zarządzania kursorami w systemie X Window.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXcursor.

%package static
Summary:	Static libXcursor library
Summary(pl.UTF-8):	Biblioteka statyczna libXcursor
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	XFree86-xcursor-static
Obsoletes:	libXcursor-static
Obsoletes:	xcursor-static

%description static
libXcursor - X Window System Cursor management library.

This package contains the static libXcursor library.

%description static -l pl.UTF-8
Biblioteka libXcursor do zarządzania kursorami w systemie X Window.

Pakiet zawiera statyczną bibliotekę libXcursor.

%prep
%setup -q -n libXcursor-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXcursor.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXcursor.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXcursor.so
%{_libdir}/libXcursor.la
%dir %{_includedir}/X11/Xcursor
%{_includedir}/X11/Xcursor/Xcursor.h
%{_pkgconfigdir}/xcursor.pc
%{_mandir}/man3/Xcursor*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXcursor.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXcursor.spec,v $
Revision 1.26  2009/11/12 09:39:03  patrys
- rebuild
- rel 2

Revision 1.25  2009/09/30 05:06:47  qboosh
- updated util-macros version
- ghost soname symlink
- added README to doc
- more verbose files and descs

Revision 1.24  2009/09/04 09:46:33  arekm
- up to 1.1.10

Revision 1.23  2008/11/05 23:28:56  arekm
- release 2

Revision 1.22  2007/08/24 21:22:43  arekm
- up to 1.1.9

Revision 1.21  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.19  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.18  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.17  2006/10/14 15:09:18  qboosh
- updated to 1.1.8

Revision 1.16  2006/06/04 00:51:11  qboosh
- updated to 1.1.7

Revision 1.15  2006/04/27 06:48:11  arekm
- up to 1.1.6

Revision 1.14  2006/03/08 22:04:17  qboosh
- release 1

Revision 1.13  2005/12/28 11:02:27  qboosh
- sources from X11R7.0 release

Revision 1.12  2005/12/19 15:16:52  qboosh
- 1.1.5.2 (X11R7.0-RC4)

Revision 1.11  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.10  2005/12/04 10:53:10  qboosh
- 1.1.5.1 (X11R7.0-RC3)

Revision 1.9  2005/11/19 18:38:26  qboosh
- 1.1.5 (X11R7.0-RC2)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 23:29:30  qboosh
- own /usr/include/X11/Xcursor dir

Revision 1.6  2005/10/20 19:33:55  qboosh
- 1.1.4 (X11R7.0-RC1)
- more docs, added version to libXrender deps

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.12  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.11  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.10  2004/05/22 22:42:55  qboosh
- unifications, cleanups, longer descs
- home patch is obsolete (1 is always added to homelen)
- added libXrender and ac versions to deps

Revision 1.9  2004/03/12 11:03:14  adgor
- Added apropriate conflicts for main & devel
- Added R /sbin/ldconfig where needed

Revision 1.8  2004/03/10 11:15:40  pluto
- release up.

Revision 1.7  2004/03/10 11:11:34  pluto
- more BR:, R:, cosmetics...

Revision 1.6  2004/03/10 10:53:53  pluto
- BR:, R:, cosmetics.

Revision 1.5  2004/03/07 18:06:34  pluto
- BR:, R:, release 3.

Revision 1.4  2004/03/05 00:06:40  adgor
- Rel++

Revision 1.3  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.2  2004/03/03 01:09:21  freetz
- fixed URL

Revision 1.1  2004/03/02 22:31:55  adgor
- Initial
- Obsoletes xcursor
